******************************************************************************************************
*                                                   TAPE1.SPS                                                      *
*                                                                                                                             *
*  Ce programme permet de crer le fichier de donnes SPS contenant les variables     *
*  ncessaires pour utiliser le programme BOOTVARF_V30.SPS                                 *
*                                                                                                                             *
*  IL N'EST PAS NCESSAIRE D'UTILISER CE PROGRAMME.  Les variables             *
*  dichotomiques peuvent tre cres directement dans la fentre d'dition des             *
*  donnes et le fichier d'analyse peut-tre cr  partir de l.                                      *
******************************************************************************************************.

SET COM NO HEA ON MES ON ERR ON RES ON JOU ON LEN NONE WID 132 PRI NO MPR NO.

					
* Cration du fichier de donnes SPSS (.sav) contenant les variables et enregistrements requis pour l'analyse.  
* Ce fichier devrait tre le plus petit possible (contenant seulement les variables et enregistrements 
* ncessaires) afin de rduire le temps d'excution et la mmoire requise, spcialement dans le cas 
* des rgressions.

     *****   IMPORTANT: Les fichiers de donnes contiennent des points (.) pour reprsenter les dcimales.          *****
     *****   Si lutilisateur travaille avec un systme dexploitation en franais, il est important de sassurer que       *****
     *****   le symbole dcimal par dfaut du systme dexploitation est le point, et non la virgule.  Par exemple,    ***** 
     *****   dans un environnement Windows, le symbole dcimal est spcifi dans le Panneau de Configuration,    *****
     *****   sous Options Rgionales puis Nombres.                                                                                           *****.


DEFINE !Go()
!LET !Layout = ' location_et_nom_du_clich_d'article ' 
!LET !DataIn = ' location_et_nom_du_fichier_source '       
!LET !DataOut = ' nom_du_fichier_rsultant_en_format_SPSS '                       /* <- (fichier d'analyse utilis avec BOOTVARF_V30.SPS)


* Ne pas modifier le bloc d'instruction suivant.
FILE HANDLE INFILE/NAME = !QUOTE(!DataIn).   
INCLUDE FILE=!QUOTE(!Layout).
SET PRI ON.


************************************************************************************************************************
* Cration des variables dichotomiques ( -> REMPLACER les instructions suivantes (jusqu' "SAVE"  ) *
* (des exemples sont prsents ci-dessous, utilisant les variables de l'ENSP, cycle 3)                         *
************************************************************************************************************************.

NUMERIC diab hommes femmes hdiab fdiab.

IF (ccc8_1j=1)   diab=1.
IF (ccc8_1j~=1) diab=0.

IF (sex=1) hommes=1.
IF (sex~=1) hommes=0.
IF (sex=2) femmes=1.
IF (sex~=2) femmes=0.

compute hdiab = hommes*diab.
compute fdiab  = femmes*diab.

execute.

********************************************************************************************.

SAVE OUTFILE !QUOTE(!DataOut)
	/KEEP =   liste des variables  conserver  .

                * Il est recommand de ne conserver que les variables ncessaire afin        *
                * de diminuer le temps d'excution du programme BOOTVARF_V30.SPS.  *
                * IMPORTANT:  les variables d'identification et, si ncessaire, la(les)          *
                * variable(s) de ventilation (ex: provinces, sexe) doivent tre conserves      *
                * La variable de poids doit aussi tre conserve si les estimations              *
                * ponctuelles sont calcules  cette tape.                                              *.
      

* Remplacer "SAVE" par "XSAVE" dans la commande prcdente si des estimations ponctuelles sont effectues  ce moment.

***  NE PAS OUBLIER D'EXCUTER LES DERNIRES LIGNES DU PROGRAMME (APRS L'EXEMPLE)   ***.


***********************************************
* Calcul des estimations ponctuelles     *
* Conseill, mais non obligatoire...        *
***********************************************.

*** Exemples: ***.

WEIGHT BY variable_de_poids.

FREQ VAR= liste de variables.
LOGISTIC REG VAR=var WITH  liste de variables  /PRI SUM
	/CRI BCO(0.0001) LCO(0) ITE(25) EPS(10E-12).

WEIGHT OFF.


* NE PAS effacer les instructions suivantes 
**************************************************.

SET PRI NO.
!ENDDEFINE /* !Go.

SET MPR ON.
!Go.
SET MPR NO.
